> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/common-concepts/filtering/filter-operators.md).

# Filter operators

## String

| Name          | Description                     |
| ------------- | ------------------------------- |
| startsWith    | Starts with                     |
| notStartsWith | Not starts with                 |
| endsWith      | Ends with                       |
| notEndsWith   | Not ends with                   |
| contains      | Contains                        |
| notContains   | Does not contain                |
| eq            | Equals                          |
| gt            | Greater than                    |
| gte           | Greater than or equals          |
| in            | Equals to one of the values     |
| notIn         | Not equals to any of the values |
| lt            | Less than                       |
| lte           | Less than or equals             |
| ne            | Not equals                      |
| null          | The field value is null         |

## Float, Date, DateTime, UUID

| Name | Description             |
| ---- | ----------------------- |
| eq   | Equals                  |
| gt   | Greater than            |
| gte  | Greater than or equals  |
| lt   | Less than               |
| lte  | Less than or equals     |
| ne   | Not equals              |
| null | The field value is null |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/common-concepts/filtering/filter-operators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
